Debian Bug report logs - #632903
chromium: FTBFS on armel: make[1]: *** No rule to make target `chrome_sandbox'. Stop.

version graph

Package: chromium-browser; Maintainer for chromium-browser is Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>; Source for chromium-browser is src:chromium-browser.

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Wed, 6 Jul 2011 21:03:05 UTC

Severity: important

Tags: patch

Merged with 632119

Found in version 10.0.648.205~r81283-0ubuntu0.10.04.1

Fixed in version chromium-browser/17.0.963.56~r121963-1

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#632903; Package chromium. (Wed, 06 Jul 2011 21:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 06 Jul 2011 21:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chromium: FTBFS on armel: make[1]: *** No rule to make target `chrome_sandbox'. Stop.
Date: Thu, 07 Jul 2011 00:02:13 +0300
Package: chromium
Version: 12.0.742.112~r90304-1
Severity: normal

After I applied

http://sourceware.org/ml/binutils/2011-07/msg00075.html

my binutils-gold does not crash anymore. Thus, I hurried to retry
chromium build. This time it fails quite early:

 dpkg-buildpackage -rfakeroot -D -us -uc
dpkg-buildpackage: warning: using a gain-root-command while being root
dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: source package chromium-browser
dpkg-buildpackage: source version 12.0.742.112~r90304-1
dpkg-buildpackage: source changed by Giuseppe Iuculano <iuculano@debian.org>
 dpkg-source --before-build chromium-browser-12.0.742.112~r90304
dpkg-buildpackage: host architecture armel
 fakeroot debian/rules clean
test -x debian/rules
dh_testroot
rmdir /build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src
rmdir: failed to remove `/build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src': Directory not empty
make: [cleanbuilddir] Error 1 (ignored)
rm -f debian/stamp-makefile-build debian/stamp-makefile-install
/usr/bin/make  -C /build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src CFLAGS="-g -O2 -g -O2 -Wall" CXXFLAGS="-g -O2 -g -O2 -Wall" CPPFLAGS="" LDFLAGS=""  -k clean
make[1]: Entering directory `/build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src'
make[1]: *** No rule to make target `clean'.
make[1]: Leaving directory `/build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src'
make: [makefile-clean] Error 2 (ignored)
for i in ./src/third_party/libsrtp/src/config.guess ./src/third_party/libxml/src/config.guess ./src/third_party/mesa/MesaLib/bin/config.guess ./src/third_party/tcmalloc/vendor/config.guess ./src/third_party/icu/source/config.guess ./src/third_party/hyphen/config.guess ./src/third_party/talloc/config.guess ./src/third_party/talloc/libreplace/config.guess ./src/third_party/yasm/source/patched-yasm/config/config.guess ./src/third_party/libevent/config.guess ./src/third_party/sqlite/src/config.guess ./src/sdch/open-vcdiff/config.guess ./src/third_party/libsrtp/src/config.sub ./src/third_party/libxml/src/config.sub ./src/third_party/mesa/MesaLib/bin/config.sub ./src/third_party/tcmalloc/vendor/config.sub ./src/third_party/icu/source/config.sub ./src/third_party/hyphen/config.sub ./src/third_party/talloc/libreplace/config.sub ./src/third_party/talloc/config.sub ./src/third_party/yasm/source/patched-yasm/config/config.sub ./src/third_party/libevent/config.sub ./src/third_party/sqlite/src/config.sub ./src/sdch/open-vcdiff/config.sub ./src/third_party/yasm/source/patched-yasm/config/config.rpath ; do \
                if test -e $i.cdbs-orig ; then \
                        mv $i.cdbs-orig $i ; \
                fi ; \
        done
dh_clean
rm -f debian/configure-stamp debian/stamp-makefile-build-*
rm -f *.cdbs-config_list debian/chromium.sh
rm -fr src/out
find src/tools -name "*.pyc" | xargs rm -f
find src/build -name "*.pyc" | xargs rm -f
find src/depot_tools -name "*.pyc" | xargs rm -f
 dpkg-source -b chromium-browser-12.0.742.112~r90304
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building chromium-browser using existing ./chromium-browser_12.0.742.112~r90304.orig.tar.bz2
dpkg-source: warning: ignoring deletion of directory src/third_party/snappy/src/autom4te.cache
dpkg-source: warning: ignoring deletion of file src/third_party/hunspell/tests/suggestiontest/Makefile.orig
dpkg-source: warning: ignoring deletion of file src/depot_tools/breakpad.pyc
dpkg-source: warning: ignoring deletion of file src/depot_tools/subprocess2.pyc
dpkg-source: warning: ignoring deletion of file src/depot_tools/gclient_utils.pyc
dpkg-source: warning: ignoring deletion of file src/depot_tools/gclient_scm.pyc
dpkg-source: warning: ignoring deletion of file src/depot_tools/scm.pyc
dpkg-source: warning: ignoring deletion of file src/depot_tools/fix_encoding.pyc
dpkg-source: warning: ignoring deletion of file src/depot_tools/third_party/__init__.pyc
dpkg-source: warning: ignoring deletion of file src/depot_tools/third_party/repo/__init__.pyc
dpkg-source: warning: ignoring deletion of file src/depot_tools/third_party/repo/progress.pyc
dpkg-source: info: building chromium-browser in chromium-browser_12.0.742.112~r90304-1.debian.tar.gz
dpkg-source: info: building chromium-browser in chromium-browser_12.0.742.112~r90304-1.dsc
 debian/rules build
test -x debian/rules
mkdir -p "/build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src"
/usr/share/cdbs/1/rules/buildcore.mk:109: WARNING:  DEB_DH_INSTALLINIT_ARGS is a deprecated variable
/usr/share/cdbs/1/rules/buildcore.mk:109: WARNING:  DEB_DH_INSTALL_ARGS is a deprecated variable
/usr/share/cdbs/1/rules/buildcore.mk:109: WARNING:  DEB_DH_STRIP_ARGS is a deprecated variable
/usr/share/cdbs/1/rules/buildcore.mk:109: WARNING:  DEB_FIXPERMS_EXCLUDE is a deprecated variable
sed -e 's/@BUILD_DIST@/Debian unstable/g' \
            -e 's/@BUILD_DIST_NAME@/Debian/g' \
            -e 's/@BUILD_DIST_VERSION)@/unstable/g' \
            < debian/chromium.sh.in > debian/chromium.sh
if test -e /usr/share/misc/config.guess ; then \
                for i in ./src/third_party/libsrtp/src/config.guess ./src/third_party/libxml/src/config.guess ./src/third_party/mesa/MesaLib/bin/config.guess ./src/third_party/tcmalloc/vendor/config.guess ./src/third_party/icu/source/config.guess ./src/third_party/hyphen/config.guess ./src/third_party/talloc/config.guess ./src/third_party/talloc/libreplace/config.guess ./src/third_party/yasm/source/patched-yasm/config/config.guess ./src/third_party/libevent/config.guess ./src/third_party/sqlite/src/config.guess ./src/sdch/open-vcdiff/config.guess ; do \
                        if ! test -e $i.cdbs-orig ; then \
                                mv $i $i.cdbs-orig ; \
                                cp --remove-destination /usr/share/misc/config.guess $i ; \
                        fi ; \
                done ; \
        fi
if test -e /usr/share/misc/config.sub ; then \
                for i in ./src/third_party/libsrtp/src/config.sub ./src/third_party/libxml/src/config.sub ./src/third_party/mesa/MesaLib/bin/config.sub ./src/third_party/tcmalloc/vendor/config.sub ./src/third_party/icu/source/config.sub ./src/third_party/hyphen/config.sub ./src/third_party/talloc/libreplace/config.sub ./src/third_party/talloc/config.sub ./src/third_party/yasm/source/patched-yasm/config/config.sub ./src/third_party/libevent/config.sub ./src/third_party/sqlite/src/config.sub ./src/sdch/open-vcdiff/config.sub ; do \
                        if ! test -e $i.cdbs-orig ; then \
                                mv $i $i.cdbs-orig ; \
                                cp --remove-destination /usr/share/misc/config.sub $i ; \
                        fi ; \
                done ; \
        fi
if test -e /usr/share/gnulib/build-aux/config.rpath ; then \
                for i in ./src/third_party/yasm/source/patched-yasm/config/config.rpath ; do \
                        if ! test -e $i.cdbs-orig ; then \
                                mv $i $i.cdbs-orig ; \
                                cp --remove-destination /usr/share/gnulib/build-aux/config.rpath $i ; \
                        fi ; \
                done ; \
        fi
/usr/bin/make  -C /build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src CFLAGS="-g -O2 -g -O2 -Wall" CXXFLAGS="-g -O2 -g -O2 -Wall" CPPFLAGS="" LDFLAGS=""  SYMBOLS=1 BUILDTYPE=Release chrome chrome_sandbox
make[1]: Entering directory `/build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src'
make[1]: Nothing to be done for `chrome'.
make[1]: *** No rule to make target `chrome_sandbox'.  Stop.
make[1]: Leaving directory `/build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
debuild: fatal error at line 1340:
dpkg-buildpackage -rfakeroot -D -us -uc failed




-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-5-kirkwood
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'chromium' to 'chromium-browser'. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Wed, 06 Jul 2011 22:15:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions chromium-browser/12.0.742.112~r90304-1. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Wed, 06 Jul 2011 22:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#632903; Package chromium-browser. (Thu, 07 Jul 2011 09:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 07 Jul 2011 09:21:17 GMT) Full text and rfc822 format available.

Message #14 received at 632903@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 632903@bugs.debian.org
Subject: Re: Bug#632903: chromium: FTBFS on armel: make[1]: *** No rule to make target `chrome_sandbox'. Stop.)
Date: Thu, 07 Jul 2011 12:18:28 +0300
Hi,


this was solved by just adding armel to the list of architectures in
debian/control.

However, after that the build fails with

  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/debug-arm.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/deoptimizer-arm.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/disasm-arm.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/frames-arm.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/full-codegen-arm.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/ic-arm.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/lithium-arm.o
In file included from v8/src/v8utils.h:32:0,
                 from v8/src/v8.h:59,
                 from v8/src/arm/lithium-arm.cc:28:
v8/src/platform.h:187:15: note: the mangling of ‘va_list’ has changed in GCC 4.4
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/lithium-codegen-arm.o
In file included from v8/src/v8utils.h:32:0,
                 from v8/src/v8.h:59,
                 from v8/src/arm/lithium-codegen-arm.cc:28:
v8/src/platform.h:187:15: note: the mangling of ‘va_list’ has changed in GCC 4.4
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/lithium-gap-resolver-arm.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/arm/macro-assembler-arm.o
v8/src/arm/macro-assembler-arm.cc:64:3: error: #error "For thumb inter-working we require an architecture which supports blx"
make[1]: *** [out/Release/obj.host/v8_base/v8/src/arm/macro-assembler-arm.o] Error 1
make[1]: Leaving directory `/build/debian/debian-chromium-browser/chromium-browser-12.0.742.112~r90304/src'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2


-Timo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#632903; Package chromium-browser. (Thu, 07 Jul 2011 09:48:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 07 Jul 2011 09:48:41 GMT) Full text and rfc822 format available.

Message #19 received at 632903@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 632903@bugs.debian.org
Subject: Re: Bug#632903: chromium: FTBFS on armel: make[1]: *** No rule to make target `chrome_sandbox'. Stop.
Date: Thu, 07 Jul 2011 12:46:14 +0300
Hi,

>   CXX(host) out/Release/obj.host/v8_base/v8/src/arm/lithium-gap-resolver-arm.o
>   CXX(host) out/Release/obj.host/v8_base/v8/src/arm/macro-assembler-arm.o
> v8/src/arm/macro-assembler-arm.cc:64:3: error: #error "For thumb inter-working we require an architecture which supports blx"

I looked at the i386 build log at


https://buildd.debian.org/status/fetch.php?pkg=chromium-browser&arch=i386&ver=12.0.742.112~r90304-1&stamp=1309376319

and it too seems to be compiling v8:

...
 CXX(host) out/Release/obj.host/v8_base/v8/src/assembler.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/ast.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/atomicops_internals_x86_gcc.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/bignum.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/bignum-dtoa.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/bootstrapper.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/builtins.o
  CXX(host) out/Release/obj.host/v8_base/v8/src/cached-powers.o
...

Does this mean that the USE_SYSTEM_V8=1 in debian/rules somehow gets ignored?

-Timo




Forcibly Merged 632119 632903. Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Tue, 17 Jan 2012 04:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#632903; Package chromium-browser. (Wed, 25 Jan 2012 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 25 Jan 2012 10:00:11 GMT) Full text and rfc822 format available.

Message #26 received at 632903@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 632903@bugs.debian.org, timo.lindfors@iki.fi
Cc: control@bugs.debian.org
Subject: Chromium armel fixes
Date: Wed, 25 Jan 2012 11:55:55 +0200
tags 632903 +patch
thanks

Hi,

The following patch fixes building chromium on debian/armel and prepares
the way for debian/armhf builds.

1) add libegl1-mesa-dev and libgles2-mesa-dev to arm build depends, as the
webgl code on arm uses GLES instead of GL.

2) Really use system vpx so that the initial gyp dependency error on arm goes away.
Adding -lvpx to ffmpeg.gyp is not exactly the correct place. but there is no use_system_vpx
define anywhere, which would seem a more correct place...

3) force cups on and disable webrtc for now. 

4) fix building SKIA on < armv7

5) as bonus point, add patch to build with current libav.

Riku




Added tag(s) patch. Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. (Wed, 25 Jan 2012 10:00:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#632903; Package chromium-browser. (Wed, 25 Jan 2012 12:35:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 25 Jan 2012 12:36:00 GMT) Full text and rfc822 format available.

Message #33 received at 632903@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 632903@bugs.debian.org, 632119@bugs.debian.org
Subject: Chromium armel fixes
Date: Wed, 25 Jan 2012 13:43:02 +0200
[Message part 1 (text/plain, inline)]
Attach the patch this time..


[chromium-armel-fixes.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#632903; Package chromium-browser. (Wed, 25 Jan 2012 16:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 25 Jan 2012 16:15:08 GMT) Full text and rfc822 format available.

Message #38 received at 632903@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 632903@bugs.debian.org
Subject: Re: Chromium armel fixes
Date: Wed, 25 Jan 2012 18:09:58 +0200
Hi,

Riku Voipio <riku.voipio@iki.fi> writes:
> The following patch fixes building chromium on debian/armel and prepares
> the way for debian/armhf builds.

I tried your binaries from

http://people.debian.org/~riku/chromium/

on openmoko and marvel mv78100. I installed the -dbg package on mv78100
and saw the following. It seems we jump to an unmapped address:

Script started on Wed Jan 25 15:55:07 2012
(sid)mv78100:~$ chromium
Segmentation fault
(sid)mv78100:~$ chromium --debug
# Env:
#     LD_LIBRARY_PATH=/usr/lib/chromium:/usr/lib/xulrunner-1.9.1
#                PATH=/usr/lib/chromium:/home/lindi/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
#            GTK_PATH=
# CHROMIUM_USER_FLAGS=
#      CHROMIUM_FLAGS=--password-store=detect
/usr/bin/gdb /usr/lib/chromium/chromium -x /tmp/chromiumargs.haSxg0
GNU gdb (GDB) 7.3-debian
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "arm-linux-gnueabi".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib/chromium/chromium...Reading symbols from /usr/lib/debug/usr/lib/chromium/chromium...done.
done.
(gdb) r
Starting program: /usr/lib/chromium/chromium --password-store=detect 
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x001abe08 in ?? ()
(gdb) bt
#0  0x001abe08 in ?? ()
#1  0x2c26c214 in __libc_csu_init ()
#2  0x4153b5f0 in __libc_start_main () from /lib/arm-linux-gnueabi/libc.so.6
#3  0x2a1b3934 in _start ()
(gdb) x/5i $pc
=> 0x1abe08:	Cannot access memory at address 0x1abe08
(gdb) info register
r0             0x2	2
r1             0xbee95624	3202962980
r2             0xbee95630	3202962992
r3             0x41654b70	1097157488
r4             0x0	0
r5             0xfffed644	4294891076
r6             0x2	2
r7             0xbee95624	3202962980
r8             0xbee95630	3202962992
r9             0x0	0
r10            0xfffed374	4294890356
r11            0x0	0
r12            0xffff0fff	4294905855
sp             0xbee954b8	0xbee954b8
lr             0x2c26c214	740737556
pc             0x1abe08	0x1abe08
cpsr           0x20000010	536870928
(gdb) up
#1  0x2c26c214 in __libc_csu_init ()
(gdb) x/4i $pc
=> 0x2c26c214 <__libc_csu_init+28>:	ldr	r3, [pc, #72]	; 0x2c26c264 <__libc_csu_init+108>
   0x2c26c218 <__libc_csu_init+32>:	rsb	r5, r10, r5
   0x2c26c21c <__libc_csu_init+36>:	add	r3, pc, r3
   0x2c26c220 <__libc_csu_init+40>:	asrs	r5, r5, #2
(gdb) x/16i $pc-8
   0x2c26c20c <__libc_csu_init+20>:	mov	r8, r2
   0x2c26c210 <__libc_csu_init+24>:	bl	0x2c26c820
=> 0x2c26c214 <__libc_csu_init+28>:	ldr	r3, [pc, #72]	; 0x2c26c264 <__libc_csu_init+108>
   0x2c26c218 <__libc_csu_init+32>:	rsb	r5, r10, r5
   0x2c26c21c <__libc_csu_init+36>:	add	r3, pc, r3
   0x2c26c220 <__libc_csu_init+40>:	asrs	r5, r5, #2
   0x2c26c224 <__libc_csu_init+44>:	add	r10, r3, r10
   0x2c26c228 <__libc_csu_init+48>:	beq	0x2c26c254 <__libc_csu_init+92>
   0x2c26c22c <__libc_csu_init+52>:	mov	r4, #0
   0x2c26c230 <__libc_csu_init+56>:	mov	r0, r6
   0x2c26c234 <__libc_csu_init+60>:	mov	r1, r7
   0x2c26c238 <__libc_csu_init+64>:	mov	r2, r8
   0x2c26c23c <__libc_csu_init+68>:	ldr	r12, [r10, r4, lsl #2]
   0x2c26c240 <__libc_csu_init+72>:	mov	lr, pc
   0x2c26c244 <__libc_csu_init+76>:	bx	r12
   0x2c26c248 <__libc_csu_init+80>:	add	r4, r4, #1
(gdb) break *0x2c26c20c
Breakpoint 1 at 0x2c26c20c
(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /usr/lib/chromium/chromium --password-store=detect 
[Thread debugging using libthread_db enabled]

Breakpoint 1, 0x2c26c20c in __libc_csu_init ()
(gdb) define xsi
Type commands for definition of "xsi".
End with a line saying just "end".
>si
>x/4i $pc
>end
(gdb) xsi
0x2c26c210 in __libc_csu_init ()
=> 0x2c26c210 <__libc_csu_init+24>:	bl	0x2c26c820
   0x2c26c214 <__libc_csu_init+28>:	ldr	r3, [pc, #72]	; 0x2c26c264 <__libc_csu_init+108>
   0x2c26c218 <__libc_csu_init+32>:	rsb	r5, r10, r5
   0x2c26c21c <__libc_csu_init+36>:	add	r3, pc, r3
(gdb) 
Cannot access memory at address 0x0
0x2c26c820 in ?? ()
=> 0x2c26c820:	ldr	pc, [pc, #-4]	; 0x2c26c824
   0x2c26c824:	andseq	r11, r10, r8, lsl #28
   0x2c26c828:	ldr	pc, [pc, #-4]	; 0x2c26c82c
   0x2c26c82c:	andseq	pc, r10, r8, ror #17
(gdb) x/10i $pc-8
   0x2c26c818:	ldr	pc, [pc, #-4]	; 0x2c26c81c
   0x2c26c81c:	andseq	r12, r10, r8, lsr #4
=> 0x2c26c820:	ldr	pc, [pc, #-4]	; 0x2c26c824
   0x2c26c824:	andseq	r11, r10, r8, lsl #28
   0x2c26c828:	ldr	pc, [pc, #-4]	; 0x2c26c82c
   0x2c26c82c:	andseq	pc, r10, r8, ror #17
   0x2c26c830:	ldr	pc, [pc, #-4]	; 0x2c26c834
   0x2c26c834:	andseq	pc, r10, r8, asr #15
   0x2c26c838 <_fini>:	push	{r4, lr}
   0x2c26c83c <_fini+4>:	pop	{r4, lr}
(gdb) xsi
0x2c26c820 in ?? ()
Could not insert single-step breakpoint at 0x1abe08
(gdb) x/4 0x2c26c820-4
0x2c26c81c:	0x1ac228	0xe51ff004	0x1abe08	0xe51ff004
(gdb) quit
A debugging session is active.

	Inferior 1 [process 12087] will be killed.

Quit anyway? (y or n) y
(sid)mv78100:~$ exit
exit

Script done on Wed Jan 25 16:07:17 2012

-Timo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#632903; Package chromium-browser. (Fri, 03 Feb 2012 11:45:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Fri, 03 Feb 2012 11:45:22 GMT) Full text and rfc822 format available.

Message #43 received at 632903@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: 632903@bugs.debian.org, 632119@bugs.debian.org
Subject: Chromium builds on arm with ld.bfd but not with gold. updated patch
Date: Fri, 3 Feb 2012 13:41:41 +0200
[Message part 1 (text/plain, inline)]
Apparently this is a bug in gold for armel/armhf -will file a bug
report there soon- as chromium builds and works fine if linked with
the plain linker. The updated patch enables the build for armhf and
most likely on armel as well. Working packages (tested) for armhf can
be found here:

http://people.debian.org/~markos/armhf/chromium/

Thanks

Konstantinos
[chromium-browser_armel-armhf.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 19:15:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Mar 2012 07:29:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:14:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.